| IDA SDK

Public Member Functions | Public Types | List of all members
form_actions_t Struct Referenceabstract

## Detailed Description

Functions available from formchgcb_t.

For getters/setters for specific field values, see DEF_SET_METHOD.

## Public Member Functions
virtual bool idaapi | _get_field_value (int field_id, void *buf)=0
| Get value of an input field. More...
virtual bool idaapi | _set_field_value (int field_id, const void *buf)=0
| Set value of an input field. More...
virtual bool idaapi | enable_field (int field_id, bool enable)=0
| Enable or disable an input field. More...
virtual bool idaapi | show_field (int field_id, bool display)=0
| Show or hide an input field. More...
virtual bool idaapi | move_field (int field_id, int x, int y, int w, int h)=0
| Move/Resize an input field. More...
virtual int idaapi | get_focused_field (void)=0
| Get currently focused input field. More...
virtual bool idaapi | set_focused_field (int field_id)=0
| Set currently focused input field. More...
virtual void idaapi | refresh_field (int field_id)=0
| Refresh a field.
virtual void idaapi | close (int close_normally)=0
| Close the form.
virtual void *idaapi | get_ud ()=0
| Retrieve the user data specified through %*.
virtual bool idaapi | _get_str_field_value (int field_id, char *buf, const size_t bufsize)=0
| Get value of an UTF-8 string input field. More...
virtual bool | enable_dialog_button (dlgbtn_t btn, bool enabled)=0
virtual bool | is_dialog_button_enabled (dlgbtn_t btn)=0
virtual void | swap_combobox_choices (int fid, qstrvec_t &items)=0
virtual bool idaapi | set_field_label (int fid, const qstring &text)=0
| Set the label text of an input field. More...
virtual bool idaapi | set_tab_attribute (int fid, int tab, tab_attr_t attr, const void *in)=0
virtual bool idaapi | get_tab_attribute (void *out, int fid, int tab, tab_attr_t attr)=0
bool | set_tab_visible (int fid, int tab, bool visible)
bool | is_tab_visible (bool *out, int fid, int tab)
bool | set_tab_enabled (int fid, int tab, bool enabled)
bool | is_tab_enabled (bool *out, int fid, int tab)

## Public Types
enum | dlgbtn_t { dbt_yes , dbt_cancel , dbt_no }
enum | tab_attr_t { ta_unknown = 0 , ta_visible , ta_enabled }

## Member Function Documentation

## ◆ _get_field_value()

virtual bool idaapi form_actions_t::_get_field_value | ( | int | field_id,
|  | void * | buf
| ) |  |
| pure virtual

Get value of an input field.

Returns
  false if no such field id or invalid field type (B)

## ◆ _set_field_value()

virtual bool idaapi form_actions_t::_set_field_value | ( | int | field_id,
|  | const void * | buf
| ) |  |
| pure virtual

Set value of an input field.

Returns
  false if no such field id or invalid field type (B)

## ◆ enable_field()

virtual bool idaapi form_actions_t::enable_field | ( | int | field_id,
|  | bool | enable
| ) |  |
| pure virtual

Enable or disable an input field.

Returns
  false if no such field id

## ◆ show_field()

virtual bool idaapi form_actions_t::show_field | ( | int | field_id,
|  | bool | display
| ) |  |
| pure virtual

Show or hide an input field.

Returns
  false if no such field id

## ◆ move_field()

virtual bool idaapi form_actions_t::move_field | ( | int | field_id,
|  | int | x,
|  | int | y,
|  | int | w,
|  | int | h
| ) |  |
| pure virtual

Move/Resize an input field.

Parameters specified as -1 are not modified.

Returns
  false no such field id

## ◆ get_focused_field()

virtual int idaapi form_actions_t::get_focused_field | ( | void |  | ) |
| pure virtual

Get currently focused input field.

Returns
  -1 if no such field

## ◆ set_focused_field()

virtual bool idaapi form_actions_t::set_focused_field | ( | int | field_id | ) |
| pure virtual

Set currently focused input field.

Returns
  false if no such field id

## ◆ _get_str_field_value()

virtual bool idaapi form_actions_t::_get_str_field_value | ( | int | field_id,
|  | char * | buf,
|  | const size_t | bufsize
| ) |  |
| pure virtual

Get value of an UTF-8 string input field.

Returns
  false if no such field id or invalid field type (B)

## ◆ set_field_label()

virtual bool idaapi form_actions_t::set_field_label | ( | int | fid,
|  | const qstring & | text
| ) |  |
| pure virtual

Set the label text of an input field.

If the text is empty, the label will be deleted. Currently supports 'multi line text control' and 'chooser' field types. GUI version only.

Returns
  success

The documentation for this struct was generated from the following file:

- kernwin.hpp